package remote

import (
	"log"

	"git.cryptic.systems/fh-trier/go-flucky/pkg/config"
	"github.com/spf13/cobra"
)

var disableRemoteCmd = &cobra.Command{
	Use:     "disable",
	Short:   "Disable Remove Server",
	Args:    cobra.ExactArgs(1),
	Example: "flucky remote disable origin",
	Run: func(cmd *cobra.Command, args []string) {

		// read configuration
		fc, err := config.Read(cfg)
		if err != nil {
			log.Fatalln(err)
		}

		// disnable remote address
		err = fc.DisableRemote(args[0])
		if err != nil {
			log.Fatalln(err)
		}

		// save new configuration
		err = config.Write(fc, cfg)
		if err != nil {
			log.Fatalln(err)
		}

	},
}

func init() {
	remoteCmd.AddCommand(disableRemoteCmd)
}
